VeighNa量化社区
你的开源社区量化交易平台
Member
avatar
加入于:
帖子: 4
声望: 0

tb: <class 'aiohttp.client_exceptions.ClientConnectorError'> Cannot connect to host www.baidu.com:443 ssl:default [参数错误。] <traceback object at 0x000001BAF73E9640>
RestClient on error----------
[2022-09-06T14:53:49.247680]: Unhandled RestClient Error:<class 'aiohttp.client_exceptions.ClientConnectorError'>
request:request : GET because terminated:
headers: None
params: None
data: None
response:

Exception trace:
Traceback (most recent call last):
File "D:\Cyndi_Code\VNPY\veighna_studio\lib\site-packages\aiohttp\connector.py", line 969, in _wrap_create_connection
return await self._loop.create_connection(*args, **kwargs) # type: ignore # noqa
File "D:\Cyndi_Code\VNPY\veighna_studio\lib\asyncio\base_events.py", line 1080, in create_connection
transport, protocol = await self._create_connection_transport(
File "D:\Cyndi_Code\VNPY\veighna_studio\lib\asyncio\base_events.py", line 1110, in _create_connection_transport
await waiter
File "D:\Cyndi_Code\VNPY\veighna_studio\lib\asyncio\proactor_events.py", line 397, in _loop_writing
self._write_fut = self._loop._proactor.send(self._sock, data)
File "D:\Cyndi_Code\VNPY\veighna_studio\lib\asyncio\windows_events.py", line 534, in send
self._register_with_iocp(conn)
File "D:\Cyndi_Code\VNPY\veighna_studio\lib\asyncio\windows_events.py", line 723, in _register_with_iocp
_overlapped.CreateIoCompletionPort(obj.fileno(), self._iocp, 0, 0)
OSError: [WinError 87] 参数错误。

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "D:\Cyndi_Code\VNPY\veighna_studio\lib\site-packages\vnpy_rest\rest_client.py", line 259, in _process_request
response: Response = await self._get_response(request)
File "D:\Cyndi_Code\VNPY\veighna_studio\lib\site-packages\vnpy_rest\rest_client.py", line 240, in _get_response
cr: ClientResponse = await self.session.request(
File "D:\Cyndi_Code\VNPY\veighna_studio\lib\site-packages\aiohttp\client.py", line 520, in _request
conn = await self._connector.connect(
File "D:\Cyndi_Code\VNPY\veighna_studio\lib\site-packages\aiohttp\connector.py", line 535, in connect
proto = await self._create_connection(req, traces, timeout)
File "D:\Cyndi_Code\VNPY\veighna_studio\lib\site-packages\aiohttp\connector.py", line 890, in _createconnection , proto = await self._create_proxy_connection(req, traces, timeout)
File "D:\Cyndi_Code\VNPY\veighna_studio\lib\site-packages\aiohttp\connector.py", line 1139, in _create_proxy_connection
transport, proto = await self._wrap_create_connection(
File "D:\Cyndi_Code\VNPY\veighna_studio\lib\site-packages\aiohttp\connector.py", line 975, in _wrap_create_connection
raise client_error(req.connection_key, exc) from exc
aiohttp.client_exceptions.ClientConnectorError: Cannot connect to host www.baidu.com:443 ssl:default [参数错误。]

Member
avatar
加入于:
帖子: 536
声望: 28

你这里是在用RestClient来连接www.baidu.com???这是个REST接口客户端啊

© 2015-2022 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号

沪公网安备 31011502017034号

【用户协议】
【隐私政策】
【免责条款】